View Issue Details

IDProjectCategoryView StatusLast Update
0000657GT-MP ServerAPIpublic2018-01-07 12:07
ReporterSeToYAssigned ToDurtyFree 
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version0.1.7 
Summary0000657: Add information about receiving damage
DescriptionI'd like to request the following information (maybe in OnPlayerHealthChange / OnPlayerArmorChange?):
- Client, which inflicts the damage (other player, world?)
- Entity, which inflicts the damage (vehicle hash / weapon hash)
- Target of damage (chest, head, shoulder, legs, toes)
TagsNo tags attached.

Activities

DurtyFree

2017-12-30 21:50

administrator   ~0001235

Something similar already exists until this gets properly implemented: https://wiki.gt-mp.net/index.php?title=OnLocalPlayerDamaged

DurtyFree

2018-01-06 22:50

administrator   ~0001269

Added with the latest update: https://wiki.gt-mp.net/index.php?title=OnPlayerDamaged

Issue History

Date Modified Username Field Change
2017-10-08 07:40 SeToY New Issue
2017-10-08 14:42 root Priority normal => low
2017-10-08 14:42 root Status new => acknowledged
2017-12-30 21:50 DurtyFree Note Added: 0001235
2018-01-06 22:50 DurtyFree Assigned To => DurtyFree
2018-01-06 22:50 DurtyFree Status acknowledged => resolved
2018-01-06 22:50 DurtyFree Resolution open => fixed
2018-01-06 22:50 DurtyFree Note Added: 0001269
2018-01-07 12:07 DurtyFree Fixed in Version => 0.1.7